Partially Update Client Governance

Updates specific fields of a governance. Only the fields provided in the request body will be updated.
All other fields will remain unchanged.

Request property names use snake_case in JSON. When status is included, it is applied after the other fields in the same request.

Allowed values for patchable fields:

  • title: title
  • description: body / HTML
  • code: business code (e.g. GOV-12)
  • status: Draft, In Progress, In Review, Ready For Approval, Approved
  • data_classification: data classification label configured for the tenant
  • review_date: ISO-8601 instant string (e.g. 2025-09-15T17:00:00Z)
  • owner: user email or display name
  • approver: user email or display name
  • team: team name
  • tags: array of tag names; replaces the governance's current tags
  • contributors: array of contributor email addresses; replaces the current contributor list
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
int32
required
Body Params

Fields to update for the governance. Only provided fields will be modified.

Partial update for a governance document. Include only fields to change.
At least one field is required. When status is included, it is applied after the other fields in the same request.

string

Document title

string

Document body / HTML description

string

Business code

string
enum
^(Draft|In Progress|In Review|Ready For Approval|Approved)$

Workflow status. Only the catalog labels below are valid.

Allowed:
string

Data classification label

string

Next review date (ISO-8601 instant string, e.g. 2026-05-04T10:15:00.000Z)

string

Document owner: user email or exact display name (case-insensitive match on name)

string

Approver: user email or exact display name (case-insensitive match on name)

string

Team name

tags
array of strings

Tag names to apply to the document (replaces the previous tag set).

tags
contributors
array of strings

Contributor user emails; replaces the current contributor list for this document.

contributors
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json